TestSuiteType (Gradle API 7.6.3)

Package org.gradle.api.attributes

## Interface TestSuiteType

- All Superinterfaces:
    `Named`

      @Incubating
      public interface TestSuiteType
      extends Named

  Attribute to qualify the type of testing a test suite will perform.

  This attribute is usually found on variants that have the `Category` attribute valued at `verification`.

  The constant values present here are not exhaustive. Any value is allowed, so long as that value is only used to categorize a single test suite within each project.

  Since:
    7.4

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `FUNCTIONAL_TEST` | Functional tests, will be added automatically when initializing a new plugin project
    `static java.lang.String` | `INTEGRATION_TEST` |
    `static java.lang.String` | `PERFORMANCE_TEST` |
    `static Attribute<TestSuiteType>` | `TEST_SUITE_TYPE_ATTRIBUTE` |
    `static java.lang.String` | `UNIT_TEST` | Unit tests, the default type of test suite

  - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Field Detail

    - #### TEST_SUITE_TYPE_ATTRIBUTE

          static final Attribute<TestSuiteType> TEST_SUITE_TYPE_ATTRIBUTE

    - #### UNIT_TEST

          static final java.lang.String UNIT_TEST

      Unit tests, the default type of test suite
      See Also:
        Constant Field Values

    - #### INTEGRATION_TEST

          static final java.lang.String INTEGRATION_TEST

      See Also:
        Constant Field Values

    - #### FUNCTIONAL_TEST

          static final java.lang.String FUNCTIONAL_TEST

      Functional tests, will be added automatically when initializing a new plugin project
      See Also:
        Constant Field Values

    - #### PERFORMANCE_TEST

          static final java.lang.String PERFORMANCE_TEST

      See Also:
        Constant Field Values